package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.tuple.Tuple2;
import org.wcs.model.dto.serve.stockScan.QueryStockScanReq;
import org.wcs.model.po.app.AppStockScan;

import java.util.List;

public interface AppStockScanService extends IService<AppStockScan> {

    Tuple2<Long, List<AppStockScan>> queryStockScan(QueryStockScanReq request, Integer pageSize, Integer pageIndex);
    AppStockScan queryById(String scanId); // 根据主键查询
    List<AppStockScan> query(AppStockScan appStockScan); // 条件查询
    List<AppStockScan> queryAll(); // 查询全部
    int insert(AppStockScan appStockScan); // 插入数据
    int update(AppStockScan appStockScan); // 更新数据
    int deleteById(String stockScanId); // 删除扫码ID
}
